summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFeng Pan <fpan@redhat.com>2016-12-01 19:49:37 +0000
committerGerrit Code Review <gerrit@opnfv.org>2016-12-01 19:49:37 +0000
commitbdc8b51164dff9f47be11bbd7a5cbf9789068489 (patch)
tree5d1556122fa9ce6f602f30b688143c908faaa6c0
parent20986cfd6a55a98e3e9994aeaca7c5390463c4b3 (diff)
parent20accc70e41ac4a533fe65868438bd099196f492 (diff)
Merge "Updates FD.IO ODL scenarios to use Carbon ODL version" into stable/colorado
-rwxr-xr-xbuild/overcloud-opendaylight.sh11
-rw-r--r--config/deploy/os-odl_l2-fdio-ha.yaml2
-rw-r--r--config/deploy/os-odl_l2-fdio-noha.yaml2
-rwxr-xr-xlib/overcloud-deploy-functions.sh24
4 files changed, 32 insertions, 7 deletions
diff --git a/build/overcloud-opendaylight.sh b/build/overcloud-opendaylight.sh
index 377a9a9..a23d57d 100755
--- a/build/overcloud-opendaylight.sh
+++ b/build/overcloud-opendaylight.sh
@@ -43,6 +43,15 @@ enabled=1
gpgcheck=0
EOF
+# Master Repo
+cat > /tmp/opendaylight_master.repo << EOF
+[opendaylight-6-release]
+name=CentOS CBS OpenDaylight Carbon repository
+baseurl=http://cbs.centos.org/repos/nfv7-opendaylight-6-testing/\$basearch/os/
+enabled=1
+gpgcheck=0
+EOF
+
# SDNVPN - Copy tunnel setup script
wget https://raw.githubusercontent.com/openstack/fuel-plugin-opendaylight/brahmaputra-sr2/deployment_scripts/puppet/modules/opendaylight/templates/setup_TEPs.py
@@ -55,6 +64,8 @@ LIBGUESTFS_BACKEND=direct virt-customize \
--upload networking-odl.tar.gz:/root/ \
--upload /tmp/opendaylight_boron.repo:/etc/yum.repos.d/opendaylight.repo \
--run-command "yum install --downloadonly --downloaddir=/root/boron/ opendaylight" \
+ --upload /tmp/opendaylight_master.repo:/etc/yum.repos.d/opendaylight.repo \
+ --run-command "yum install --downloadonly --downloaddir=/root/master/ opendaylight" \
--upload /tmp/opendaylight.repo:/etc/yum.repos.d/opendaylight.repo \
--install opendaylight,python-networking-odl \
--install https://github.com/michaeltchapman/networking_rpm/raw/master/openstack-neutron-bgpvpn-2015.2-1.el7.centos.noarch.rpm \
diff --git a/config/deploy/os-odl_l2-fdio-ha.yaml b/config/deploy/os-odl_l2-fdio-ha.yaml
index 8283657..d4a86b0 100644
--- a/config/deploy/os-odl_l2-fdio-ha.yaml
+++ b/config/deploy/os-odl_l2-fdio-ha.yaml
@@ -4,7 +4,7 @@ global_params:
deploy_options:
sdn_controller: opendaylight
sdn_l3: false
- odl_version: boron
+ odl_version: carbon
tacker: true
congress: true
sfc: false
diff --git a/config/deploy/os-odl_l2-fdio-noha.yaml b/config/deploy/os-odl_l2-fdio-noha.yaml
index 53d6181..b9e0cea 100644
--- a/config/deploy/os-odl_l2-fdio-noha.yaml
+++ b/config/deploy/os-odl_l2-fdio-noha.yaml
@@ -4,7 +4,7 @@ global_params:
deploy_options:
sdn_controller: opendaylight
sdn_l3: false
- odl_version: boron
+ odl_version: carbon
tacker: true
congress: true
sfc: false
diff --git a/lib/overcloud-deploy-functions.sh b/lib/overcloud-deploy-functions.sh
index f23390b..54a1b3e 100755
--- a/lib/overcloud-deploy-functions.sh
+++ b/lib/overcloud-deploy-functions.sh
@@ -130,12 +130,26 @@ EOI
fi
# Set ODL version accordingly
- if [[ "${deploy_options_array['sdn_controller']}" == 'opendaylight' && "${deploy_options_array['odl_version']}" == 'boron' ]]; then
- ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI
- LIBGUESTFS_BACKEND=direct virt-customize --run-command "yum -y remove opendaylight" \
- --run-command "yum -y install /root/boron/*" \
- -a overcloud-full.qcow2
+ if [[ "${deploy_options_array['sdn_controller']}" == 'opendaylight' && -n "${deploy_options_array['odl_version']}" ]]; then
+ case "${deploy_options_array['odl_version']}" in
+ boron) odl_version='boron'
+ ;;
+ cabron) odl_version='master'
+ ;;
+ beryllium) odl_version=''
+ ;;
+ *) echo -e "${red}Invalid ODL version ${deploy_options_array['odl_version']}. Please use 'carbon' or 'boron' values.${reset}"
+ exit 1
+ ;;
+ esac
+
+ if [ -n "$odl_version" ]; then
+ ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI
+ LIBGUESTFS_BACKEND=direct virt-customize --run-command "yum -y remove opendaylight" \
+ --run-command "yum -y install /root/${odl_version}/*" \
+ -a overcloud-full.qcow2
EOI
+ fi
fi
# Add performance deploy options if they have been set